Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.impl.digester.elements
Class Property

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.Property

public class Property
extends java.lang.Object

Version:
  $Revision: 169649 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $ The "property" element represents a JavaBean property of the Java class represented by our parent element. Property names must be unique within the scope of the Java class that is represented by the parent element, and must correspond to property names that will be recognized when performing introspection against that class via java.beans.Introspector.

Author:
  Martin Marinschek

Constructor Summary
`Property()`

Method Summary
`void` | `addDescription(java.lang.String value)`
`void` | `addDisplayName(java.lang.String value)`
`void` | `addIcon(java.lang.String value)`
`void` | `addPropertyExtension(java.lang.String propertyExtension)`
`java.lang.String` | `getDefaultValue()`
`java.util.Iterator` | `getDescriptions()`
`java.util.Iterator` | `getDisplayNames()`
`java.util.Iterator` | `getIcons()`
`java.lang.String` | `getPropertyClass()`
`java.util.Iterator` | `getPropertyExtensions()`
`java.lang.String` | `getPropertyName()`
`java.lang.String` | `getSuggestedValue()`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setPropertyClass(java.lang.String propertyClass)`
`void` | `setPropertyName(java.lang.String propertyName)`
`void` | `setSuggestedValue(java.lang.String suggestedValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Property

    public Property()

Method Detail

### addDescription

    public void addDescription(java.lang.String value)

### getDescriptions

    public java.util.Iterator getDescriptions()

### addDisplayName

    public void addDisplayName(java.lang.String value)

### getDisplayNames

    public java.util.Iterator getDisplayNames()

### addIcon

    public void addIcon(java.lang.String value)

### getIcons

    public java.util.Iterator getIcons()

### setPropertyName

    public void setPropertyName(java.lang.String propertyName)

### getPropertyName

    public java.lang.String getPropertyName()

### setPropertyClass

    public void setPropertyClass(java.lang.String propertyClass)

### getPropertyClass

    public java.lang.String getPropertyClass()

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

### getDefaultValue

    public java.lang.String getDefaultValue()

### setSuggestedValue

    public void setSuggestedValue(java.lang.String suggestedValue)

### getSuggestedValue

    public java.lang.String getSuggestedValue()

### addPropertyExtension

    public void addPropertyExtension(java.lang.String propertyExtension)

### getPropertyExtensions

    public java.util.Iterator getPropertyExtensions()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD